# SchemaValidatedTask

[This is preliminary documentation and subject to change.]

Abstract Task that validates inheriting classes against an XML schema of the same name.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)